#version 330 core

layout(location = 0) in vec3 vPos;

out vec3 texDir;

uniform mat4 proM;
uniform mat4 viewM;

void main()
{
    gl_Position = proM * viewM * vec4(vPos.xyz, 1.0);
    texDir = vPos;
}